Loading...
Searching...
No Matches
find.c File Reference

Manage Library - Find element in data base. More...

`#include <string.h>`
`#include <grass/gis.h>`
`#include "manage_local_proto.h"`
Include dependency graph for manage/find.c:

Go to the source code of this file.

## Functions

const char * | M_find (int n, char *name, const char *mapsets)
| Find element in data base.

## Detailed Description

Manage Library - Find element in data base.

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file manage/find.c.

## Function Documentation

## M_find()

const char * M_find | ( | int | n,
|  | char * | name,
|  | const char * | mapsets )

Find element in data base.

Parameters

  n | element id
  name | element name
  mapsets | name of mapsets

Returns
  mapset if found
  if not found

Definition at line 29 of file manage/find.c.

References G_find_file2(), list, name, and strcpy.